Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154578 - internal compiler error compiling octave-2.9.1
Summary: internal compiler error compiling octave-2.9.1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 19:52 UTC by Dmitri A. Sergatskov
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.0-0.43
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-28 12:31:55 UTC


Attachments (Terms of Use)
crash output (deleted)
2005-04-12 19:53 UTC, Dmitri A. Sergatskov
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 20991 None None None Never

Description Dmitri A. Sergatskov 2005-04-12 19:52:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
While trying to compile octave-2.9.1 with gcc4/g++4/g77 I get an internal
compiler error (generated output is attached).
The problem occur every time doing 'make all' on a fresh source tree,
doing 'make all' again will make it go through. It is reproduciable on different 
computers, so I am very confident that it is not a hardware problem.
I suspect a race condition between as and cc1plus.


Version-Release number of selected component (if applicable):
gcc version 4.0.0 20050406 (Red Hat 4.0.0-0.41.fc3)

How reproducible:
Always

Steps to Reproduce:
1. get octave-2.9.1 from (www.octave.org)
2. ./configure --enable-shared --disable-static
3. make all
  

Actual Results:  internal compiler error

Expected Results:  error should not happen

Additional info:

All tests done so far on AthlonXP or AthlonMP (in SMP mode) based computers with 
all updates installed (up to 2005/04/12)

Comment 1 Dmitri A. Sergatskov 2005-04-12 19:53:31 UTC
Created attachment 113050 [details]
crash output

crash output

Comment 2 Dmitri A. Sergatskov 2005-05-01 19:23:13 UTC
As of May 1st 2005, I cannot find this   (4.0.0-0.43) version anywere...


Comment 3 Jakub Jelinek 2005-05-01 19:32:12 UTC
As of May 1st, 2005, you can find 4.0.0-2, which is newer than 4.0.0-0.43...


Note You need to log in before you can comment on or make changes to this bug.